客層セクション更新
PUT
/customer_group_sections/{customer_group_section_id}
const url = 'https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/customer_group_sections/example';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"customerGroupSectionLabel":"string"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/customer_group_sections/example \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "customerGroupSectionLabel": "string" }'客層セクション情報を更新します。
指定した客層セクションが存在しない場合、登録処理となります。
客層セクションラベルが空文字の場合、削除処理となります。
対象プラン
- スタンダード
- プレミアム
- プレミアムプラス
- フードビジネス
- リテールビジネス
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”customer_group_section_id
required
string
客層セクションID
Request Body
Section titled “Request Body”Media typeapplication/json
object
customerGroupSectionLabel
required
客層セクションラベル
客層セクションラベル
string
Example
{ "customerGroupSectionLabel": "string"}Responses
Section titled “Responses”更新成功
Media typeapplication/json
object
customerGroupSectionId
客層セクションID
string
customerGroupSectionLabel
客層セクションラベル
string
insDateTime
作成日時:登録時の日時。[YYYY-MM-DDThh:mm:ssTZD]
string
updDateTime
更新日時:登録時・更新時の日時。[YYYY-MM-DDThh:mm:ssTZD]
string
Example
{ "customerGroupSectionId": "string", "customerGroupSectionLabel": "string", "insDateTime": "string", "updDateTime": "string"}- 入力チェックエラーの場合
- 指定した客層セクションIDが1未満または5を超える場合
- 削除時に、セクションIDに紐付いた客層が存在する場合
Media typeapplication/json
object
type
required
string
title
required
string
detail
string
status
integer
Examples
{ "type": "about:blank", "title": "Bad Request", "detail": "[customer_group_section_id]は[1]以上[5]以下である必要があります", "status": 400}{ "type": "about:blank", "title": "Bad Request", "detail": "セクションIDに紐付いた客層が存在するため削除できません", "status": 400}